## network-manager 1.18.0

=== debian/changelog ===
network-manager (1.18.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Jul 2019 00:36:17 +0200

network-manager (1.18.0-2) experimental; urgency=medium

  * Fix package description after avahi-autoipd removal
  * Drop obsolete lintian overrides

 -- Michael Biebl <biebl@debian.org>  Tue, 28 May 2019 22:27:17 +0200

network-manager (1.18.0-1) experimental; urgency=medium

  * New upstream version 1.18.0
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Sun, 21 Apr 2019 22:28:56 +0200

network-manager (1.16.0-2) experimental; urgency=medium

  * Drop dependency on lsb-base.
    It is only needed when booting with sysvinit and initscripts, but
    initscripts already Depends on lsb-base (see #864999).
  * Drop dpkg-dev (>= 1.17.14) Build-Depends.
    No longer needed as even the version in oldstable is new enough.

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Apr 2019 11:07:57 +0200

network-manager (1.16.0-1) experimental; urgency=medium

  * New upstream version 1.16.0
  * Rebase patches
  * Update symbols file for linm0
  * Drop migration code from pre-stretch

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Mar 2019 00:13:49 +0100

=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
 Sjoerd Simons <sjoerd@debian.org>,
 Aron Xu <aron@debian.org>
Build-Depends: debhelper-compat (= 12),
               automake (>= 1.12),
               pkg-config,
               intltool,
               libglib2.0-dev (>= 2.32),
               ppp-dev (>= 2.4.7-1+1),
               libpolkit-gobject-1-dev,
               libpolkit-agent-1-dev (>= 0.97),
               libselinux1-dev,
               libaudit-dev,
               libgnutls28-dev (>= 2.12),
               uuid-dev,
               systemd (>= 185),
               libsystemd-dev (>= 209),
               libudev-dev (>= 175),
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~),
               python-gi,
               libpsl-dev (>= 0.1),
               libcurl4-gnutls-dev (>= 7.24.0),
               gtk-doc-tools,
               perl,
               libyaml-perl,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9),
               libjansson-dev,
               libbluetooth-dev (>= 5),
               valac (>= 0.17.1.24),
               dbus <!nocheck>,
               python-dbus <!nocheck>
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
Homepage: https://wiki.gnome.org/Projects/NetworkManager

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm0 (= ${binary:Version}),
         wpasupplicant,
         dbus,
         udev,
         adduser,
         libpam-systemd,
         policykit-1
Recommends: ppp,
            dnsmasq-base,
            iptables,
            modemmanager,
            crda,
            isc-dhcp-client,
Suggests: libteam-utils
Breaks: ${misc:Breaks}
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Conflicts: libnm-glib-dev,
           libnm-glib-vpn-dev,
           libnm-util-dev,
Description: network management framework (development files)
 This package provides documentation of the NetworkManager D-Bus API, the
 configuration formats and command line utilities.
 It also provides D-Bus introspection files.

Package: libnm0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based client library for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         libnm0 (= ${binary:Version}),
         gir1.2-nm-1.0 (= ${binary:Version}),
         libglib2.0-dev
Description: GObject-based client library for NetworkManager (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: gir1.2-nm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Replaces: gir1.2-networkmanager-1.0 (<< 1.8.0-2)
Description: GObject introspection data for the libnm library
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager using libnm.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: network-manager-config-connectivity-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Debian server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Debian connectivity check servers reveals that the user is running a
 Debian(-based) operating system with NetworkManager.

## network-manager 1.19.90

=== debian/changelog ===
network-manager (1.19.90-2) unstable; urgency=medium

  * Demote isc-dhcp-client to Suggests.
    The DHCP client now defaults to "internal". This default can be
    overridden at run time by setting the main.dhcp option in the
    configuration file. The old default was "dhclient" and required
    isc-dhcp-client. (Closes: #933545)

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2019 10:42:16 +0200

network-manager (1.19.90-1) unstable; urgency=medium

  * New upstream version 1.19.90 (1.20 rc1)
  * Drop obsolete configure flags
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jul 2019 13:35:47 +0200

=== debian/control ===
--- 
+++ 
@@ -62,8 +62,8 @@
             iptables,
             modemmanager,
             crda,
-            isc-dhcp-client,
-Suggests: libteam-utils
+Suggests: libteam-utils,
+          isc-dhcp-client,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)

%:
	dh $@ --with gir,ppp

autoreconf:
	gtkdocize --copy
	autopoint --force
	AUTOPOINT='intltoolize --automake --copy' autoreconf --verbose --force --install

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--runstatedir=/run \
		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
		--with-pppd=/usr/sbin/pppd \
		--with-resolvconf=/sbin/resolvconf \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/sbin/iptables \
		--with-dnsmasq=/usr/sbin/dnsmasq \
		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-udev-dir=/lib/udev \
		--with-dbus-sys-dir=/usr/share/dbus-1/system.d \
		--with-crypto=gnutls \
		--with-session-tracking=systemd \
		--with-suspend-resume=systemd \
		--with-modem-manager-1 \
		--with-nmtui \
		--with-nmcli \
		--with-selinux \
		--with-libaudit \
		--with-iwd \
		--without-dhcpcanon \
		--enable-polkit \
		--enable-polkit-agent \
		--enable-ppp \
		--enable-ifupdown \
		--enable-introspection \
		--enable-gtk-doc \
		--enable-concheck \
		--enable-teamdctl \
		--enable-json-validation \
		--enable-bluez5-dun \
		--enable-vala \
		--disable-more-warnings \
		--disable-modify-system \
		--disable-ovs

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

override_dh_installsystemd:
	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service
	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service

override_dh_ppp:
	dh_ppp --breaks

## network-manager 1.20.4

=== debian/changelog ===
network-manager (1.20.4-2ubuntu2) eoan; urgency=medium

  * debian/patches/git_wpa_sae.patch:
    - PMF can be used with SAE, allow it, fixes WPA3 handling
      (lp: #1844422)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Oct 2019 00:06:27 +0200

network-manager (1.20.4-2ubuntu1) eoan; urgency=medium

  * New upstream version, merged from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 11:16:12 +0200

network-manager (1.20.4-2) unstable; urgency=medium

  * Install directories as created by upstream build system.
    Drop network-manager.dirs and instead use the directories created by the
    upstream build system. Fix permissions of /var/lib/NetworkManager to be
    0700 as it contains possibly sensitive data and should not be
    world-readable.
  * Fix permissions of /var/lib/NetworkManager/secret_key on upgrades.
    The file mode is supposed to be 0600. (Closes: #941609)

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Oct 2019 00:30:01 +0200

network-manager (1.20.4-1) unstable; urgency=medium

  [ Michael Biebl ]
  * New upstream version 1.20.4

  [ Andreas Henriksson ]
  * Switch build-dependencies to python3.
    The tests are designed to work with either python2 or python3.
    We should be able to simply switch build-dependencies to python3
    equivalents. However if something transitively pulls in python2 the
    AM_PATH_PYTHON autoconf macro will find python(2) binary, so we
    explicitly set PYTHON=/usr/bin/python3. (Closes: #938944)

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Sep 2019 16:01:19 +0200

network-manager (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
  * Track stable releases in watch file
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Sep 2019 10:43:28 +0200

network-manager (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Aug 2019 22:55:57 +0200

network-manager (1.18.0-1ubuntu6) eoan; urgency=medium

  [ Till Kamppeter ]
  * debian/tests/nm.py:
    + Make activating an AP time out earlier than it otherwise would.
    + Skip a call that is failing for IPv6 connections.

  [ Iain Lane ]
  * debian/tests/nm.py: Delete code skipped by the previous change, rather
    than commenting it out and leaving it inactive in the source.

  [ Sebastien Bacher ]
  * Updated debian branch from eoan to master

 -- Iain Lane <iain.lane@canonical.com>  Thu, 01 Aug 2019 13:17:35 +0100

network-manager (1.18.0-1ubuntu5) eoan; urgency=medium

  * Updated autopkg test nm.py for API changes in network-manager.

  [ Mathieu Trudel-Lapierre ]
  * debian/tests/control: fix test dependency to list gir1.2-nm-1.0 instead
    of its old name gir1.2-networkmanager-1.0.

 -- Till Kamppeter <till.kamppeter@canonical.com>  Tue, 25 Jun 2019 13:31:42 +0200

network-manager (1.18.0-1ubuntu4) eoan; urgency=medium

  * debian/tests/nm.py: give test_no_ap more time for wifi devices to start
    as it may be necessary on ppc64el.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 29 May 2019 09:31:18 -0400

network-manager (1.18.0-1ubuntu3) eoan; urgency=medium

  * d/p/Read-system-connections-from-run.patch:
    - remove, upstream addressed it in a different way/for different 
      reasons in commit ce4dbd7daf.
  * debian/network-manager-dev.install:
    - update following the the recent binary changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 May 2019 11:26:30 +0200

network-manager (1.18.0-1ubuntu2) eoan; urgency=medium

  * debian/control, debian/lib*.install, debian/rules:
    - remove the deprecated libnm-glib/vpn/util libraries
  * debian/patches/series:
    - restore Read-system-connections-from-run.patch which had been
      dropped by error.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 May 2019 00:07:31 +0200

network-manager (1.18.0-1ubuntu1) eoan; urgency=medium

  * Update to 1.18, merge on Debian, new version includes nwe support for 
    policy routing rules and for VLAN filtering for Linux bridge.
  * Remaining Ubuntu changes
    - Use systemd-resolved instead of dnsmasq
    - debian/control:
      + Depend on isc-dhcp-client instead of recommends
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - debian/default-wifi-powersave-on.conf, debian/rules:
      + Install a config file to enable WiFi powersave
    - Enable build tests
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch
      + Disable-general-with-expect.patch
      + libnm-Check-self-still-NMManager-or-not.patch
      + dns-manager-don-t-merge-split-DNS-search-domains.patch (but disabled)
      + Read-system-connections-from-run.patch
    - debian/tests/urfkill-integration - don't stop/start network manager
    - Revert "Add Conflicts to network-manager-dev against deprecated libraries"


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
@@ -22,7 +23,7 @@
                libudev-dev (>= 175),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
-               python-gi,
+               python3-gi,
                libpsl-dev (>= 0.1),
                libcurl4-gnutls-dev (>= 7.24.0),
                gtk-doc-tools,
@@ -38,11 +39,13 @@
                libbluetooth-dev (>= 5),
                valac (>= 0.17.1.24),
                dbus <!nocheck>,
-               python-dbus <!nocheck>
+               python3-dbus <!nocheck>
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+Vcs-Git: https://git.launchpad.net/network-manager
+Vcs-Browser: https://git.launchpad.net/network-manager
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -61,8 +64,10 @@
             dnsmasq-base,
             iptables,
             modemmanager,
+            network-manager-pptp,
             crda,
-Suggests: libteam-utils,
+Suggests: avahi-autoipd,
+          libteam-utils,
           isc-dhcp-client,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
@@ -76,6 +81,8 @@
  interact with NetworkManager.
  .
  Optional dependencies:
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
+    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
@@ -168,3 +175,21 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
+
+Package: network-manager-config-connectivity-ubuntu
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking
+ This package contains a configuration file which enables NetworkManager's
+ connectivity checking functionality.
+ .
+ NetworkManager will try to connect to an Ubuntu server to determine the
+ connection status.
+ .
+ This is particularly useful for captive portal detection.
+ .
+ No user data is transmitted in the connectivity checks, but merely contacting
+ the Ubuntu connectivity check servers reveals that the user is running an
+ Ubuntu(-based) operating system with NetworkManager.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
+LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
+export LDFLAGS
+
+export PYTHON=/usr/bin/python3
 
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
@@ -21,7 +27,7 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=/sbin/resolvconf \
+		--with-resolvconf=no \
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
@@ -36,6 +42,7 @@
 		--with-nmtui \
 		--with-nmcli \
 		--with-selinux \
+		--with-tests \
 		--with-libaudit \
 		--with-iwd \
 		--without-dhcpcanon \
@@ -56,10 +63,18 @@
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
+	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+	# copy powersave configuration
+	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
+	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
+
+override_dh_installinit:
+	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
@@ -70,3 +85,8 @@
 
 override_dh_ppp:
 	dh_ppp --breaks
+
+override_dh_auto_test:
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
+endif

=== debian/tests/control ===
Tests: wpa-dhclient
Depends: python3, hostapd, dnsmasq-base, wpasupplicant, isc-dhcp-client, iw
Restrictions: needs-root allow-stderr isolation-machine

Tests: nm.py
Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr
Restrictions: needs-root isolation-machine

Tests: killswitches-no-urfkill
Depends: network-manager, build-essential, linux-headers-generic, rfkill
Restrictions: needs-root allow-stderr isolation-machine

Tests: urfkill-integration
Depends: network-manager, build-essential, linux-headers-generic, rfkill, urfkill
Restrictions: needs-root allow-stderr isolation-machine

## network-manager 1.22.6

=== debian/changelog ===
network-manager (1.22.6-1) unstable; urgency=medium

  * New upstream version 1.22.6
  * Bump Standards-Version to 4.5.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 31 Jan 2020 18:14:59 +0100

network-manager (1.22.4-1) unstable; urgency=medium

  * New upstream version 1.22.4
  * Rebase patches
  * n-dhcp4: fix integer context in n_dhcp4_client_probe_transition_nak() on
    32 bit

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jan 2020 03:00:29 +0100

network-manager (1.22.2-2) unstable; urgency=medium

  * More nettools DHCP fixes (Closes: #947613)

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jan 2020 22:26:29 +0100

network-manager (1.22.2-1) unstable; urgency=medium

  * New upstream version 1.22.2
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Dec 2019 07:17:58 +0100

network-manager (1.22.0-2) unstable; urgency=medium

  * dhcp: nettools: fix parsing of search domains option (Closes: #947003)

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Dec 2019 18:04:05 +0100

network-manager (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Rebase patches
  * Explicitly disable (experimental) nm-cloud-setup tool
  * Update symbols file for linm0

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Dec 2019 19:05:33 +0100

network-manager (1.20.8-1) unstable; urgency=medium

  * New upstream version 1.20.8
  * Rebase patches
  * Bump Standards Version to 4.4.1

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Nov 2019 19:23:25 +0100

network-manager (1.20.6-1) unstable; urgency=medium

  * New upstream version 1.20.6
    - Add support for iwd 1.0. (Closes: #944259)
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Nov 2019 22:32:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
@@ -40,12 +39,10 @@
                valac (>= 0.17.1.24),
                dbus <!nocheck>,
                python3-dbus <!nocheck>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
-Vcs-Git: https://git.launchpad.net/network-manager
-Vcs-Browser: https://git.launchpad.net/network-manager
+Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -64,10 +61,8 @@
             dnsmasq-base,
             iptables,
             modemmanager,
-            network-manager-pptp,
             crda,
-Suggests: avahi-autoipd,
-          libteam-utils,
+Suggests: libteam-utils,
           isc-dhcp-client,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
@@ -81,8 +76,6 @@
  interact with NetworkManager.
  .
  Optional dependencies:
-  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
-    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
@@ -175,21 +168,3 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
-
-Package: network-manager-config-connectivity-ubuntu
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         network-manager (>= ${source:Version})
-Description: NetworkManager configuration to enable connectivity checking
- This package contains a configuration file which enables NetworkManager's
- connectivity checking functionality.
- .
- NetworkManager will try to connect to an Ubuntu server to determine the
- connection status.
- .
- This is particularly useful for captive portal detection.
- .
- No user data is transmitted in the connectivity checks, but merely contacting
- the Ubuntu connectivity check servers reveals that the user is running an
- Ubuntu(-based) operating system with NetworkManager.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
-
-# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
-LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
-export LDFLAGS
 
 export PYTHON=/usr/bin/python3
 
@@ -27,7 +23,7 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=no \
+		--with-resolvconf=/sbin/resolvconf \
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
@@ -42,10 +38,10 @@
 		--with-nmtui \
 		--with-nmcli \
 		--with-selinux \
-		--with-tests \
 		--with-libaudit \
 		--with-iwd \
 		--without-dhcpcanon \
+		--without-nm-cloud-setup \
 		--enable-polkit \
 		--enable-polkit-agent \
 		--enable-ppp \
@@ -63,18 +59,10 @@
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
-	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-	# copy powersave configuration
-	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
-	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
-
-override_dh_installinit:
-	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
@@ -85,8 +73,3 @@
 
 override_dh_ppp:
 	dh_ppp --breaks
-
-override_dh_auto_test:
-ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
-endif

## network-manager 1.22.10

=== meson_options.txt ===
# system paths
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files')
option('system_ca_path', type: 'string', value: '/etc/ssl/certs', description: 'path to system CA certificates')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory. Set to \'no\' not to install the udev rule')
option('dbus_conf_dir', type: 'string', value: '', description: 'where D-Bus system.d directory is')
option('kernel_firmware_dir', type: 'string', value: '/lib/firmware', description: 'where kernel firmware directory is (default is /lib/firmware)')
option('iptables', type: 'string', value: '', description: 'path to iptables')
option('dnsmasq', type: 'string', value: '', description: 'path to dnsmasq')
option('dnssec_trigger', type: 'string', value: '', description: 'path to unbound dnssec-trigger-script')

# platform
option('dist_version', type: 'string', value: '', description: 'Define the NM\'s distribution version string')
option('session_tracking_consolekit', type: 'boolean', value: true, description: 'Support consolekit session tracking')
option('session_tracking', type: 'combo', choices: ['systemd', 'elogind', 'no'], value: 'systemd', description: 'Compatibility option to choose one session tracking module')
option('suspend_resume', type: 'combo', choices: ['upower', 'systemd', 'elogind', 'consolekit', 'auto'], value: 'auto', description: 'Build NetworkManager with specific suspend/resume support')
option('polkit', type: 'boolean', value: true, description: 'User auth-polkit configuration option.')
option('config_auth_polkit_default', type: 'combo', choices: ['default', 'true', 'false', 'root-only'], value: 'default', description: 'Default value for configuration main.auth-polkit.')
option('modify_system', type: 'boolean', value: false, description: 'Allow users to modify system connections')
option('polkit_agent', type: 'boolean', value: false, description: 'enable polkit agent for clients')
option('selinux', type: 'boolean', value: true, description: 'Build with SELinux')
option('systemd_journal', type: 'boolean', value: true, description: 'Use systemd journal for logging')
option('config_logging_backend_default', type: 'combo', choices: ['default', 'syslog', 'journal'], value: 'default', description: 'Default value for logging.backend')
option('hostname_persist', type: 'combo', choices: ['default', 'suse', 'gentoo', 'slackware'], value: 'default', description: 'Hostname persist method')
option('libaudit', type: 'combo', choices: ['yes', 'yes-disabled-by-default', 'no'], value: 'yes', description: 'Build with audit daemon support. yes-disabled-by-default enables support, but disables it unless explicitly configured via NetworkManager.conf')

# features
option('wext', type: 'boolean', value: true, description: 'Enable or disable Linux Wireless Extensions')
option('wifi', type: 'boolean', value: true, description: 'enable Wi-Fi support')
option('iwd', type: 'boolean', value: false, description: 'enable iwd support (experimental)')
option('ppp', type: 'boolean', value: true, description: 'enable PPP/PPPoE support')
option('pppd', type: 'string', value: '', description: 'path to pppd binary')
option('pppd_plugin_dir', type: 'string', value: '', description: 'path to the pppd plugins directory')
option('modem_manager', type: 'boolean', value: true, description: 'Enable new ModemManager1 interface support')
option('ofono', type: 'boolean', value: false, description: 'Enable oFono support (experimental)')
option('concheck', type: 'boolean', value: true, description: 'enable connectivity checking support')
option('teamdctl', type: 'boolean', value: false, description: 'enable Teamd control support')
option('ovs', type: 'boolean', value: true, description: 'enable Open vSwitch support')
option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
option('nm_cloud_setup', type: 'boolean', value: false, description: 'Build nm-cloud-setup, a tool for automatically configure networking in cloud (EXPERIMENTAL!)')
option('bluez5_dun', type: 'boolean', value: false, description: 'enable Bluez5 DUN support')
option('ebpf', type: 'combo', choices : ['auto', 'true', 'false'], description: 'Enable eBPF support')

# configuration plugins
option('config_plugins_default', type: 'string', value: '', description: 'Default configuration option for main.plugins setting, used as fallback if the configuration option is unset')
option('ifcfg_rh', type: 'boolean', value: false, description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL)')
option('ifupdown', type: 'boolean', value: false, description: 'enable ifupdown configuration plugin (Debian/Ubuntu)')

# handlers for resolv.conf
option('resolvconf', type: 'string', value: '', description: 'Enable resolvconf support')
option('netconfig', type: 'string', value: '', description: 'Enable SUSE netconfig support')
option('config_dns_rc_manager_default', type: 'combo', choices: ['symlink', 'file', 'netconfig', 'resolvconf'], value: 'symlink', description: 'Configure default value for main.rc-manager setting')

# dhcp clients
option('dhclient', type: 'string', value: '', description: 'Enable dhclient support')
option('dhcpcanon', type: 'string', value: '', description: 'Enable dhcpcanon support (experimental)')
option('dhcpcd', type: 'string', value: '', description: 'Enable dhcpcd support')
option('config_dhcp_default', type: 'combo', choices: ['dhcpcanon', 'dhclient', 'dhcpcd', 'internal', 'nettools'], value: 'internal', description: 'Default configuration option for main.dhcp setting, used as fallback if the configuration option is unset')

# miscellaneous
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('vapi', type : 'combo', choices : ['auto', 'true', 'false'], description: 'build Vala bindings')
option('docs', type: 'boolean', value: false, description: 'use to build documentation')
option('tests', type: 'combo', choices: ['yes', 'no', 'root'], value: 'yes', description: 'Build NetworkManager tests')
option('more_asserts', type: 'string', value: 'all', description: 'Enable more assertions for debugging (0 = none, 100 = all, default: all)')
option('more_logging', type: 'boolean', value: true, description: 'Enable more debug logging')
option('valgrind', type: 'array', value: ['no'], description: 'Use valgrind to memory-check the tests')
option('valgrind_suppressions', type: 'string', value: '', description: 'Use specific valgrind suppression file')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('libpsl', type: 'boolean', value: true, description: 'Link against libpsl')
option('json_validation', type: 'boolean', value: true, description: 'Enable JSON validation in libnm')
option('crypto', type: 'combo', choices: ['nss', 'gnutls'], value: 'nss', description: 'Cryptography library to use for certificate and key operations')
option('qt', type: 'boolean', value: true, description: 'enable Qt examples')

=== debian/changelog ===
network-manager (1.22.10-1ubuntu2.4) focal-security; urgency=medium

  * Fix autopkgtest issue with dnsmasq security update
    - d/t/nm.py: adapt to changes dnsmasq behavior (LP: 1894619)
    - Fix originally went into 1.30.0-1ubuntu4 in impish

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 Feb 2024 12:36:54 -0500

network-manager (1.22.10-1ubuntu2.3) focal; urgency=medium

  * wwan: Set MTU based on what ModemManager exposes
    (LP: #1955797)

 -- Jerry Lee <jerry.lee@canonical.com>  Mon, 27 Nov 2021 09:37:06 +0800

network-manager (1.22.10-1ubuntu2.2) focal; urgency=medium

  * platform: add the NM_SETTING_WIRELESS_WAKE_ON_WLAN_IGNORE status check
    (LP: #1891632)

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Wed, 16 Sep 2020 17:05:18 +0100

network-manager (1.22.10-1ubuntu2.1) focal; urgency=medium

  * debian/rules:
    - the iptables binary is in /usr/sbin now, use the correct location in
      the configure. Should fix the hotspot feature not working in GNOME
      on upgraded systems which haven't been usrmerged.
      (lp: #1870359)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 20 May 2020 18:23:10 +0200

network-manager (1.22.10-1ubuntu2) focal; urgency=medium

  * d/t/killswitches-no-urfkill
    - Call udevadm settle before nmcli radio wifi
      To make sure that change is updated. (LP: #1733321)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Mon, 20 Apr 2020 22:40:44 -0700

network-manager (1.22.10-1ubuntu1) focal; urgency=medium

  * Update to the current stable version, merging from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2020 16:27:29 +0100

network-manager (1.22.10-1) unstable; urgency=medium

  * New upstream version 1.22.10
  * Mark network-manager-dev as Architecture: all and Multi-Arch: foreign
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Mar 2020 00:58:03 +0100

network-manager (1.22.8-1) unstable; urgency=medium

  * New upstream version 1.22.8
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Feb 2020 00:27:58 +0100

network-manager (1.20.8-1ubuntu2) focal; urgency=medium

  * debian/rules:
    - Omit building the uninstallable network-manager binary (depends on
      wpasupplicant) on i386

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Jan 2020 18:26:29 +0100

network-manager (1.20.8-1ubuntu1) focal; urgency=medium

  * New upstream version, merged from Debian
  * debian/patches/git_wpa_sae.patch:
    - removed, included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jan 2020 17:00:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
  Sjoerd Simons <sjoerd@debian.org>,
  Aron Xu <aron@debian.org>
@@ -41,8 +42,10 @@
                python3-dbus <!nocheck>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
+Vcs-Git: https://git.launchpad.net/network-manager -b ubuntu/focal
+Vcs-Browser: https://git.launchpad.net/network-manager
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
@@ -61,8 +64,10 @@
             dnsmasq-base,
             iptables,
             modemmanager,
+            network-manager-pptp,
             crda,
-Suggests: libteam-utils,
+Suggests: avahi-autoipd,
+          libteam-utils,
           isc-dhcp-client,
 Breaks: ${misc:Breaks}
 Description: network management framework (daemon and userspace tools)
@@ -76,6 +81,8 @@
  interact with NetworkManager.
  .
  Optional dependencies:
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
+    address configuration.
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
   * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
     connection sharing.
@@ -85,12 +92,9 @@
 
 Package: network-manager-dev
 Section: devel
-Architecture: linux-any
-Multi-Arch: same
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Conflicts: libnm-glib-dev,
-           libnm-glib-vpn-dev,
-           libnm-util-dev,
 Description: network management framework (development files)
  This package provides documentation of the NetworkManager D-Bus API, the
  configuration formats and command line utilities.
@@ -168,3 +172,21 @@
  No user data is transmitted in the connectivity checks, but merely contacting
  the Debian connectivity check servers reveals that the user is running a
  Debian(-based) operating system with NetworkManager.
+
+Package: network-manager-config-connectivity-ubuntu
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         network-manager (>= ${source:Version})
+Description: NetworkManager configuration to enable connectivity checking
+ This package contains a configuration file which enables NetworkManager's
+ connectivity checking functionality.
+ .
+ NetworkManager will try to connect to an Ubuntu server to determine the
+ connection status.
+ .
+ This is particularly useful for captive portal detection.
+ .
+ No user data is transmitted in the connectivity checks, but merely contacting
+ the Ubuntu connectivity check servers reveals that the user is running an
+ Ubuntu(-based) operating system with NetworkManager.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,21 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+# Without that the tests fail, cannot register existing type 'NMAgentManagerError'
+LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
+export LDFLAGS
+
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+   BUILD_PACKAGES += -Nnetwork-manager
+endif
 
 export PYTHON=/usr/bin/python3
 
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
 %:
-	dh $@ --with gir,ppp
+	dh $@ --with gir,ppp $(BUILD_PACKAGES)
 
 autoreconf:
 	gtkdocize --copy
@@ -23,9 +31,9 @@
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=/sbin/resolvconf \
+		--with-resolvconf=no \
 		--with-dhclient=/sbin/dhclient \
-		--with-iptables=/sbin/iptables \
+		--with-iptables=/usr/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
 		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
 		--with-systemdsystemunitdir=/lib/systemd/system \
@@ -38,6 +46,7 @@
 		--with-nmtui \
 		--with-nmcli \
 		--with-selinux \
+		--with-tests \
 		--with-libaudit \
 		--with-iwd \
 		--without-dhcpcanon \
@@ -59,10 +68,18 @@
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
+	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+	# copy powersave configuration
+	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
+	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
+
+override_dh_installinit:
+	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
@@ -73,3 +90,8 @@
 
 override_dh_ppp:
 	dh_ppp --breaks
+
+override_dh_auto_test:
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
+endif

=== debian/tests/control ===
Tests: wpa-dhclient
Depends: python3, hostapd, dnsmasq-base, wpasupplicant, isc-dhcp-client, iw
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: nm.py
Depends: python3, dnsmasq-base, isc-dhcp-client, gir1.2-nm-1.0, network-manager, hostapd, iw, python3-dbusmock, python3-netaddr
Restrictions: needs-root isolation-machine skippable

Tests: killswitches-no-urfkill
Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: urfkill-integration
Depends: network-manager, build-essential, linux-headers-generic [!i386], rfkill, urfkill
Restrictions: needs-root allow-stderr isolation-machine skippable
